Bug 246431 - games/bzflag: Update to 2.4.20
Summary: games/bzflag: Update to 2.4.20
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-13 04:07 UTC by Kevin Zheng
Modified: 2020-05-16 04:43 UTC (History)
2 users (show)

See Also:
kevinz5000: maintainer-feedback+


Attachments
Patch (2.34 KB, patch)
2020-05-13 04:07 UTC, Kevin Zheng
no flags Details | Diff
Poudriere failed build log (171.70 KB, text/plain)
2020-05-14 07:01 UTC, Hiroki Tagato
no flags Details
Patch (2.43 KB, patch)
2020-05-14 17:26 UTC, Kevin Zheng
kevinz5000: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Zheng 2020-05-13 04:07:48 UTC
Created attachment 214440 [details]
Patch

games/bzflag: Update to 2.4.20
Comment 1 Fernando Apesteguía freebsd_committer 2020-05-13 07:29:05 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]

Thanks!
Comment 2 Kevin Zheng 2020-05-13 16:07:07 UTC
Not aware I could do that; thanks!
Comment 3 Hiroki Tagato freebsd_committer 2020-05-14 07:01:55 UTC
Created attachment 214479 [details]
Poudriere failed build log

Hi,

I tried to build the port and failed with the following message (a full build log attached):


====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: bin/bzflag
===> Error: Plist issues found.
*** Error code 1

Stop.


Can you check?
Comment 4 Kevin Zheng 2020-05-14 07:39:05 UTC
Hey, thanks for checking. I'm a little confused why this is happening; it seems like your build log suggests that CLIENT="" for plist_sub, but bzflag (the binary that is built only when CLIENT is enabled) is being installed.

For me, games/bzflag and games/bzflag-server both pass `make check-plist`. Could you check if you can `make check-plist` without poudriere?

Then, at least we can find out why I'm not seeing the problem.
Comment 5 Hiroki Tagato freebsd_committer 2020-05-14 08:08:28 UTC
(In reply to Kevin Zheng from comment #4)

I tried a build without poudriere and got exactly the same error.
Comment 6 Hiroki Tagato freebsd_committer 2020-05-14 08:13:42 UTC
There is the following line in the attached build log:

configure: WARNING: Client build is enabled, but OpenGL does not seem to be fully available ... disabling BZFlag client

This may be some clue...
Comment 7 Kevin Zheng 2020-05-14 16:40:31 UTC
Okay, thanks for the clue. It sounds like I could have a local library that's not correctly set in USES. I'll look; thanks.
Comment 8 Kevin Zheng 2020-05-14 17:26:33 UTC
Created attachment 214494 [details]
Patch

I think it was missing USES_GL=glew.

I've also added some USES_XORG components for good measure (shown by ldd on the compiled executable).
Comment 9 commit-hook freebsd_committer 2020-05-16 04:42:44 UTC
A commit references this bug:

Author: tagattie
Date: Sat May 16 04:41:49 UTC 2020
New revision: 535351
URL: https://svnweb.freebsd.org/changeset/ports/535351

Log:
  Update to 2.4.20

  PR:		246431
  Submitted by:	Kevin Zheng <kevinz5000@gmail.com> (maintainer)
  Approved by:	ehaupt (mentor)
  Changelog:	https://www.bzflag.org/downloads/#changelog

Changes:
  head/games/bzflag/Makefile
  head/games/bzflag/distinfo
  head/games/bzflag/pkg-plist
Comment 10 Hiroki Tagato freebsd_committer 2020-05-16 04:43:39 UTC
Committed, thanks!